> For the complete documentation index, see [llms.txt](https://docs.wisej.com/system.drawing.managed/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/system.drawing.managed/api/system.drawing/system.drawing.systemfonts.md).

# SystemFonts

Namespace: **System.Drawing**

Assembly: **System.Drawing.Managed** (4.0.0.0)

Specifies the fonts used to display text in Windows display elements.

{% tabs %}
{% tab title="C#" %}

```csharp
public class SystemFonts
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class SystemFonts
```

{% endtab %}
{% endtabs %}

## Properties

### ![](/files/eguYxwyd6jAtQFHRrmJW) CaptionFont

[Font](/system.drawing.managed/api/system.drawing/system.drawing.font.md): Gets a Font that is used to display text in the title bars of windows.

### ![](/files/eguYxwyd6jAtQFHRrmJW) DefaultFont

[Font](/system.drawing.managed/api/system.drawing/system.drawing.font.md): Gets the default font that applications can use for dialog boxes and forms.

### ![](/files/eguYxwyd6jAtQFHRrmJW) DialogFont

[Font](/system.drawing.managed/api/system.drawing/system.drawing.font.md): Gets a font that applications can use for dialog boxes and forms.

### ![](/files/eguYxwyd6jAtQFHRrmJW) IconTitleFont

[Font](/system.drawing.managed/api/system.drawing/system.drawing.font.md): Gets a Font that is used for icon titles.

### ![](/files/eguYxwyd6jAtQFHRrmJW) MenuFont

[Font](/system.drawing.managed/api/system.drawing/system.drawing.font.md): Gets a Font that is used for menus.

### ![](/files/eguYxwyd6jAtQFHRrmJW) MessageBoxFont

[Font](/system.drawing.managed/api/system.drawing/system.drawing.font.md): Gets a Font that is used for message boxes.

### ![](/files/eguYxwyd6jAtQFHRrmJW) SmallCaptionFont

[Font](/system.drawing.managed/api/system.drawing/system.drawing.font.md): Gets a Font that is used to display text in the title bars of small windows, such as tool windows.

### ![](/files/eguYxwyd6jAtQFHRrmJW) StatusFont

[Font](/system.drawing.managed/api/system.drawing/system.drawing.font.md): Gets a Font that is used to display text in the status bar.

## Methods

### ![](/files/eguYxwyd6jAtQFHRrmJW) GetFontByName(systemFontName)

Returns a font object that corresponds to the specified system font name.

| Parameter          | Type                                                          | Description                                             |
| ------------------ | ------------------------------------------------------------- | ------------------------------------------------------- |
| **systemFontName** | [String](https://docs.microsoft.com/dotnet/api/system.string) | The name of the system font you need a font object for. |

**Returns:** [Font](/system.drawing.managed/api/system.drawing/system.drawing.font.md). A [Font](/system.drawing.managed/api/system.drawing/system.drawing.font.md) if the specified name matches a value in [SystemFonts](/system.drawing.managed/api/system.drawing/system.drawing.systemfonts.md); otherwise, .


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wisej.com/system.drawing.managed/api/system.drawing/system.drawing.systemfonts.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
